rte_event_eth_rx_adapter_runtime_params(3)

NAME
rte_event_eth_rx_adapter_runtime_params

SYNOPSIS

#include <rte_event_eth_rx_adapter.h>

  Data Fields

uint32_t max_nb_rx
uint32_t rsvd [15]

Detailed Description

Adapter runtime configuration parameters

Definition at line 311 of file rte_event_eth_rx_adapter.h.

Field Documentation

  uint32_t max_nb_rx
The adapter can return early if it has processed at least max_nb_rx mbufs. This isn't treated as a requirement; batching may cause the adapter to process more than max_nb_rx mbufs.

rte_event_eth_rx_adapter_create() or rte_event_eth_adapter_create_with_params() configures the adapter with default value of max_nb_rx. rte_event_eth_rx_adapter_create_ext() configures the adapter with user provided value of max_nb_rx through rte_event_eth_rx_adapter_conf::max_nb_rx parameter. rte_event_eth_rx_adapter_runtime_params_set() allows to re-configure max_nb_rx during runtime (after adding at least one queue)

This is valid for the devices without RTE_EVENT_ETH_RX_ADAPTER_CAP_INTERNAL_PORT capability.

Definition at line 312 of file rte_event_eth_rx_adapter.h.

  uint32_t rsvd[15]
Reserved fields for future use

Definition at line 329 of file rte_event_eth_rx_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.